Name:          openslp
Version:       2.0.0
Release:       2mamba
Summary:       An open-source implementation of Service Location Protocol
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.openslp.org
Source:        http://downloads.sourceforge.net/sourceforge/openslp/%{name}-%{version}.tar.gz
Patch0:        %{name}-1.2.1-optflags.patch
Patch1:        %{name}-1.2.1-export_slp_net_symbols
Patch2:        openslp-2.0.0-openssl-1.1.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libe2fs-devel
BuildRequires: libkrb5-devel
BuildRequires: libnsl-devel
BuildRequires: libopenssl-devel
BuildRequires: libtirpc-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: flex
BuildRequires: bison
BuildRequires: libtool
Requires:      libopenslp = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Service Location Protocol is an IETF standards track protocol that provides a framework to allow networking applications to discover the existence, location, and configuration of networked services in enterprise networks.

%package -n libopenslp
Summary:       Shared libraries for openslp
Group:         System/Libraries

%description -n libopenslp
Service Location Protocol is an IETF standards track protocol that provides a framework to allow networking applications to discover the existence, location, and configuration of networked services in enterprise networks.

This is the openslp library.

%package -n libopenslp-devel
Summary:       Static libraries and headers for openslp
Group:         Development/Libraries
Requires:      libopenslp = %{?epoch:%epoch:}%{version}-%{release}

%description -n libopenslp-devel
Service Location Protocol is an IETF standards track protocol that provides a framework to allow networking applications to discover the existence, location, and configuration of networked services in enterprise networks.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
%patch2 -p1

%build
%configure \
   --enable-slpv2-security \
   --sysconfdir=%{_sysconfdir}/slp

%make \
%if "%{_build}" != "%{_host}"
   LDFLAGS="-lssl -lcrypto -ldl -pie" \
%else
   LDFLAGS="-pie" \
%endif
   CFLAGS="%{optflags} \
   -fPIC" \

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m 755 etc/slpd.all_init \
   %{buildroot}%{_initrddir}/slpd

#rm -rf rpmdoc
#mv %{buildroot}%{_prefix}/doc/%{name}-%{version} rpmdoc
#find rpmdoc -name CVS | xargs rm -rf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libopenslp -p /sbin/ldconfig
%postun -n libopenslp -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) %{_initrddir}/slpd
%dir %{_sysconfdir}/slp
%config(noreplace) %{_sysconfdir}/slp/slp.conf
%config(noreplace) %{_sysconfdir}/slp/slp.reg
%config(noreplace) %{_sysconfdir}/slp/slp.spi
%{_bindir}/slptool
%{_sbindir}/slpd

%files -n libopenslp
%defattr(-,root,root)
%{_libdir}/libslp.so.*
%doc AUTHORS COPYING

%files -n libopenslp-devel
%defattr(-,root,root)
%{_libdir}/libslp.a
%{_libdir}/libslp.la
%{_libdir}/libslp.so
%{_includedir}/*.h
%doc ChangeLog FAQ NEWS README THANKS
#%doc rpmdoc/*

%changelog
* Sun Dec 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- added debug package, openssl 1.1 patch

* Thu Jun 13 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Sep 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-4mamba
- rebuilt with openssl 1.0

* Mon Jun 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-3mamba
- specfile updated and rebuilt

* Wed Mar 21 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.1-2qilnx
- export the SLPNetGetThisHostname symbol needed by kdenetwork3

* Fri Nov 18 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.2.1-1qilnx
- update to version 1.2.1 by autospec
- added optflags patch
- added missing requirements

* Tue Mar 22 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.11-3qilnx
- security fix based on SUSE's audit: QSA-2005-030
- specfile fixes
- own /etc/slp/

* Tue Oct 28 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.11-2qilnx
- added missing scripts

* Thu Jul 31 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.0.11-1qilnux
- first build for openslp (initscript missing, built for kdenetwork)
